Bug 1336671 (CVE-2016-2803)

Summary: CVE-2016-2803 bugzilla: Cross-site-scripting in dependency graphs
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: itamar, perl-devel, xavier
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: bugzilla 4.4.12, bugzilla 5.0.3 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:52:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1336672, 1336673, 1336674    
Bug Blocks:    

Description Andrej Nemec 2016-05-17 07:56:55 UTC
A vulnerability was found in the bugzilla application. Due to an incorrect parsing of the image map generated by the dot script, a specially crafted bug summary could trigger XSS in dependency graphs.

External references:

https://bugzilla.mozilla.org/show_bug.cgi?id=1253263

References:

http://seclists.org/bugtraq/2016/May/72

Upstream fix:

https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=dd61903

Comment 1 Andrej Nemec 2016-05-17 07:58:10 UTC
Created bugzilla tracking bugs for this issue:

Affects: fedora-all [bug 1336672]
Affects: epel-5 [bug 1336673]
Affects: epel-6 [bug 1336674]

Comment 2 Fedora Update System 2016-05-26 17:33:40 UTC
bugzilla-5.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-28 23:23:30 UTC
bugzilla-4.4.12-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-28 23:54:36 UTC
bugzilla-4.4.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:52:03 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.